<mat-card *ngIf="status !== 'uninitialized'" class="notification-info">
  <mat-card-content
    >💡 To keep this demo as simple as possible, it only contains a selection of the
    <a href="https://tripetto.com/sdk/docs/blocks/stock/" target="_blank">stock blocks</a>
    available.</mat-card-content
  >
</mat-card>
<mat-card *ngIf="status !== 'uninitialized'" class="notification-alert">
  <mat-card-content
    >⚠️ This is a demonstration. No form data will ever be sent. Form data is shown in the browser
    console.</mat-card-content
  ></mat-card
>

<section *ngIf="status !== 'uninitialized'">
  <!-- Form finished -->
  <mat-card *ngIf="status === 'finished'">
    <mat-card-title>✅ You’ve completed the form</mat-card-title>
    <mat-card-content>
      For the purpose of this demo the form output is visible in your browser’s developer console. Hit <b>F12</b> to go
      there and see the data collected by this form.
    </mat-card-content>
  </mat-card>

  <!-- Form stopped -->
  <mat-card *ngIf="status === 'stopped'">
    <mat-card-title>⏹ You’ve stopped the form</mat-card-title>
    <mat-card-content>Press the play icon to start a new session.</mat-card-content>
  </mat-card>

  <!-- Form paused -->
  <mat-card *ngIf="status === 'paused'">
    <mat-card-title>⏸ You’ve paused the form</mat-card-title>
    <mat-card-content>
      For the purpose of this demo the paused form is saved in your browser’s local store. Refresh the browser to resume
      the paused form.
    </mat-card-content>
  </mat-card>

  <!-- Form not started -->
  <mat-card *ngIf="status === 'idle'">
    <mat-card-title>⏹ You haven’t started the form yet</mat-card-title>
    <mat-card-content>Press the play icon to start a new session.</mat-card-content>
  </mat-card>

  <!-- Form blocks -->
  <div *ngFor="let moment of storyline.moments; let page = index">
    <div *ngIf="status === 'preview'" class="page">
      <div></div>
      <div>
        {{ mode === "paginated" ? "Page" : "Section" }} {{ page + 1
        }}{{ moment.section.props.name ? " - " + moment.section.props.name : "" }}
      </div>
      <div></div>
    </div>
    <tripetto-block
      *ngFor="let node of moment.nodes; let i = index"
      [node]="node"
      [runner]="this"
      [attr.data-index]="i"
    ></tripetto-block>
  </div>

  <!-- Form is empty -->
  <mat-card *ngIf="isEmpty">
    <mat-card-title>👋 Nothing to show here yet</mat-card-title>
    <mat-card-content>Add blocks to the form first to get the magic going.</mat-card-content>
  </mat-card>

  <!-- Form is evaluating -->
  <mat-card *ngIf="isEvaluating"> <mat-card-content>⏳ Please wait...</mat-card-content> </mat-card>

  <!-- Navigation -->
  <mat-toolbar *ngIf="status === 'running'" class="footer">
    <mat-toolbar-row *ngIf="progressbar"
      ><tripetto-runner-progressbar [storyline]="storyline" style="width: 100%"></tripetto-runner-progressbar
    ></mat-toolbar-row>
    <mat-toolbar-row><tripetto-runner-buttons [storyline]="storyline"></tripetto-runner-buttons></mat-toolbar-row>
    <mat-toolbar-row *ngIf="mode === 'paginated' && pages"
      ><tripetto-runner-pages [storyline]="storyline"></tripetto-runner-pages
    ></mat-toolbar-row>
  </mat-toolbar>
</section>
